{% extends "base.html" %}
{% load static collections thumbnailer %}

{% block extrahead %}
<script type="text/javascript">
$(function() {
    var $menu_link = $('#main-menu a:contains(Portfolio)').addClass('active');
    $('#main-menu a[href={{ collection.get_absolute_url }}]').addClass('active');

    {% if collection.images.count %}{% spaceless %} 
    var images = [
        {% for image in collection.images.all %}
        {
            img: '{{image.filename.url}}',
            caption: '{{image.caption|urlencode}}',
            audiofile: {% if image.audiofile %}'{{image.audiofile.url}}'{% else %}null{% endif %}
        }{% if not forloop.last %},{% endif %}
        {% endfor %}
    ];
    {% endspaceless %}{% endif %}

    // Image navigation
    var hash = window.location.hash;
    i = hash ? parseInt(hash.replace('#', '')) : 0;
    if (isNaN(i)) i = 0;
});
</script>
{% endblock %}


{% block content %}
{% with collection.images.all as images %}
<div class="collection">
    <table>
        <tr>
            <td class="image-info">
                <a href="{% url 'portfolio-collection-index' %}">Back to thumbnails</a>
                <div class="image-caption">{% if images %}{{images.0.caption|safe}}{% endif %}</div>
            </td>
            {% thumbnail images.0.filename "600x500" as thumb %}
            <td class="main-image">{% if images %}<a><img src="{{thumb.url}}" width="{{thumb.width}}" alt="image" /></a>{% endif %}</td>
            {% endthumbnail %}
        </tr>
    </table>

    {% if collection.files.count %}
    <ul class="file-list">
    {% for file in collection.files.all %}
        <li><a href="{{file.filename.url}}" target="_blank">{{file.title|default:file}}</a></li>
    {% endfor %}
    </ul>
    {% endif %}
</div>
{% endwith %}
{% endblock %}

